package com.muyu.marketing.domain.model;

import com.muyu.marketing.domain.ActivityTeamInfo;
import com.muyu.marketing.domain.resp.TeamProjectSkuResp;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @Author 夜は眠れるかい?
 * @Date 2024/11/26 14:29
 * 好好学习，天天向上
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActivityTeamInfoDetailModel {

    /**
     * 主键
     */
    private Long teamId;
    /**
     * 拼团名称
     */
    private String name;

    /**
     * 商品ID
     */
    private Long productId;

    /** 商品名称 */
    private String productName;

    /**
     * 商品活动图
     */
    private String productImage;

    /**
     * 活动简介
     */
    private String introduction;

    /**
     * 单位
     */
    private String unit;

    /**
     * 轮播图
     */
    private String imageList;

    /** 活动结束时间 */
    private Date endTime;

    /**
     * 活动排序
     */
    private Long sort;

    /**
     * 活动详情
     */
    private String content;

    /**
     * 活动状态
     */
    private String status;

    /**
     * 策略类型
     */
    private String strategyType;

    /**
     * 策略ID
     */
    private Long strategyId;

    /** 团购商品sku集合 */
    private List<TeamProjectSkuResp> skuList;

    public static ActivityTeamInfoDetailModel getTeamDetailBuild(ActivityTeamInfo activityTeamInfo, String productName, List<TeamProjectSkuResp> skus) {
        return ActivityTeamInfoDetailModel.builder()
                .teamId(activityTeamInfo.getId())
                .name(activityTeamInfo.getName())
                .productId(activityTeamInfo.getProductId())
                .productName(productName)
                .productImage(activityTeamInfo.getProductImage())
                .introduction(activityTeamInfo.getIntroduction())
                .unit(activityTeamInfo.getUnit())
                .imageList(activityTeamInfo.getImageList())
                .endTime(activityTeamInfo.getEndTime())
                .sort(activityTeamInfo.getSort())
                .content(activityTeamInfo.getContent())
                .status(activityTeamInfo.getStatus())
                .strategyId(activityTeamInfo.getStrategyId())
                .strategyType(activityTeamInfo.getStrategyType())
                .skuList(skus)
                .build();

    }
}
