package com.muyu.marketing.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.marketing.domain.model.ActivityTeamInfoDetailModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @Author 夜は眠れるかい?
 * @Date 2024/11/26 15:20
 * 好好学习，天天向上
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActivityTeamInfoDetailResp {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long teamId;

    /**
     * 拼团名称
     */
    private String teamName;

    /**
     * 商品ID
     */
    private Long productId;

    /** 商品名称 */
    private String productName;

    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */
    private String unit;

    /**
     * 轮播图
     */
    private String imageList;
    /**
     * 活动结束时间
     */
    private Date endTime;
    /**
     * 活动排序
     */
    private Long sort;
    /**
     * 活动详情
     */
    private String content;
    /**
     * 活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private Long strategyId;

    /** 团购商品sku集合 */
    private List<TeamProjectSkuResp> skuList;

    public static ActivityTeamInfoDetailResp modelBuild(ActivityTeamInfoDetailModel activityTeamInfoDetailModel) {
        return ActivityTeamInfoDetailResp.builder()
                .teamId(activityTeamInfoDetailModel.getTeamId())
                .teamName(activityTeamInfoDetailModel.getName())
                .productId(activityTeamInfoDetailModel.getProductId())
                .productName(activityTeamInfoDetailModel.getProductName())
                .productImage(activityTeamInfoDetailModel.getProductImage())
                .introduction(activityTeamInfoDetailModel.getIntroduction())
                .unit(activityTeamInfoDetailModel.getUnit())
                .imageList(activityTeamInfoDetailModel.getImageList())
                .endTime(activityTeamInfoDetailModel.getEndTime())
                .sort(activityTeamInfoDetailModel.getSort())
                .content(activityTeamInfoDetailModel.getContent())
                .status(activityTeamInfoDetailModel.getStatus())
                .strategyId(activityTeamInfoDetailModel.getStrategyId())
                .strategyType(activityTeamInfoDetailModel.getStrategyType())
                .skuList(activityTeamInfoDetailModel.getSkuList())
                .build();
    }
}
