package com.muyu.marketing.domain.resp;

import com.muyu.marketing.domain.model.ActivityTeamProjectSkuModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.poi.hpsf.Decimal;

import java.math.BigDecimal;

/**
 * @Author 夜は眠れるかい?
 * @Date 2024/11/26 16:23
 * 好好学习，天天向上
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TeamProjectSkuResp {

    private Long id;
    private String sku;
    private BigDecimal teamPrice;
    private Long teamStock;

    public static TeamProjectSkuResp buildModel(ActivityTeamProjectSkuModel sku) {
        return TeamProjectSkuResp.builder()
                .id(sku.getId())
                .sku(sku.getSku())
                .teamPrice(sku.getTeamPrice())
                .teamStock(sku.getTeamStock())
                .build();
    }
}
